Subject: Re: [PATCH v2] isdn: Mark build for telespci and hfc_pci as broken for big endian ARM

From: Guenter Roeck <[email-masked]>
Date: Sun, 05 Jan 2014 20:25:41 -0800

On 01/05/2014 05:39 PM, David Miller wrote:
> From: Guenter Roeck <[email-masked]>
> Date: Sun,  5 Jan 2014 11:49:27 -0800
>
>> With arm:allmodconfig, building the Teles PCI driver fails with
>>
>> telespci.c:294:2: error: #error "not running on big endian machines now"
>>
>> Similar, building the driver for HFC PCI-Bus cards fails with
>>
>> hfc_pci.c:1647:2: error: #error "not running on big endian machines now"
>>
>> Mark build as broken for big endian ARM machines.
>>
>> Signed-off-by: Guenter Roeck <[email-masked]>
>
> Let's not start getting into the habit of doing this, please.
>
> The reason this isn't easy to do generically from Kconfig is
> probably because it almost never makes any sense to do so.
>
> In fact, if you look at telespci.c there are no DMA descriptors,
> everything is read using MMIO acccesses via the chips FIFO.  There
> really can't be any endianness problems that I see.
>
> Please just remove the CPP checks, that's the best fix.
>

Both drivers build with arm:allmodconfig if I remove the check,
so I am fine with that. I'll send an updated patch.

Thanks,
Guenter